package market.Slm.DeliveryManagement.vo;
import java.io.Serializable;
import java.util.Date;

import market.Slm.DeliveryManagement.mapper.SlmLadingBillCarMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="SLM_LADING_BILL_CAR", namespace=SlmLadingBillCarMapper.class)
public class SlmLadingBillCar extends BaseVO implements Serializable {
	/**
	 * 	提单车辆信息表
	 */
	private static final long serialVersionUID = 764597358496021341L;

	@Id
	//编号
	private String seq;

	@Column
	//提单编号
	private String bill_no;

	@Column
	//车号
	private String car_no;

	@Column
	//载重
	private Double load_weight;

	@Column
	//车型
	private String car_model;

	@Column
	//司机姓名
	private String driver_name;

	@Column
	//联系电话
	private String driver_tel;

	@Column
	//有效标志
	private String valid_flag;

	@Column
	//备注
	private String memo;

	@Column
	//创建人编号
	private String create_man_no;

	@Column
	//创建人姓名
	private String create_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//创建时间
	private Date create_time;

	@Column
	//修改人编号
	private String update_man_no;

	@Column
	//修改人姓名
	private String update_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//修改时间
	private Date update_time;

	@Column
	//删除人编号
	private String delete_man_no;

	@Column
	//删除人姓名
	private String delete_man_name;

	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	//删除时间
	private Date delete_time;

	public String getSeq() {
		return seq;
	}

	public void setSeq(String seq) {
		this.seq = seq;
	}

	public String getBill_no() {
		return bill_no;
	}

	public void setBill_no(String billNo) {
		bill_no = billNo;
	}

	public String getCar_no() {
		return car_no;
	}

	public void setCar_no(String carNo) {
		car_no = carNo;
	}

	public Double getLoad_weight() {
		return load_weight;
	}

	public void setLoad_weight(Double loadWeight) {
		load_weight = loadWeight;
	}

	public String getCar_model() {
		return car_model;
	}

	public void setCar_model(String carModel) {
		car_model = carModel;
	}

	public String getDriver_name() {
		return driver_name;
	}

	public void setDriver_name(String driverName) {
		driver_name = driverName;
	}

	public String getDriver_tel() {
		return driver_tel;
	}

	public void setDriver_tel(String driverTel) {
		driver_tel = driverTel;
	}

	public String getValid_flag() {
		return valid_flag;
	}

	public void setValid_flag(String validFlag) {
		valid_flag = validFlag;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

	public String getCreate_man_no() {
		return create_man_no;
	}

	public void setCreate_man_no(String createManNo) {
		create_man_no = createManNo;
	}

	public String getCreate_man_name() {
		return create_man_name;
	}

	public void setCreate_man_name(String createManName) {
		create_man_name = createManName;
	}

	public Date getCreate_time() {
		return create_time;
	}

	public void setCreate_time(Date createTime) {
		create_time = createTime;
	}

	public String getUpdate_man_no() {
		return update_man_no;
	}

	public void setUpdate_man_no(String updateManNo) {
		update_man_no = updateManNo;
	}

	public String getUpdate_man_name() {
		return update_man_name;
	}

	public void setUpdate_man_name(String updateManName) {
		update_man_name = updateManName;
	}

	public Date getUpdate_time() {
		return update_time;
	}

	public void setUpdate_time(Date updateTime) {
		update_time = updateTime;
	}

	public String getDelete_man_no() {
		return delete_man_no;
	}

	public void setDelete_man_no(String deleteManNo) {
		delete_man_no = deleteManNo;
	}

	public String getDelete_man_name() {
		return delete_man_name;
	}

	public void setDelete_man_name(String deleteManName) {
		delete_man_name = deleteManName;
	}

	public Date getDelete_time() {
		return delete_time;
	}

	public void setDelete_time(Date deleteTime) {
		delete_time = deleteTime;
	}

}
